Debian Bug report logs - #551629
RFP: ui-auto -- A set of shell tools to manage software project development

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Stephan Sürken <absurd@debian.org>

Date: Mon, 19 Oct 2009 15:51:02 UTC

Severity: wishlist

Fixed in version ui-auto/1.1.17-1

Done: Stephan Sürken <absurd@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, <wnpp@debian.org>, "Stephan Sürken" <absurd@debian.org>:
Bug#551629; Package wnpp. (Mon, 19 Oct 2009 15:51:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stephan Sürken <absurd@debian.org>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, <wnpp@debian.org>, "Stephan Sürken" <absurd@debian.org>. (Mon, 19 Oct 2009 15:51:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Stephan Sürken <absurd@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: ui-auto -- A set of shell tools to manage software project development
Date: Mon, 19 Oct 2009 17:41:35 +0200
Package: wnpp
Severity: wishlist
Owner: "Stephan Sürken" <absurd@debian.org>

* Package name    : ui-auto
  Version         : 1.1.9
  Upstream Author : Stephan Sürken <absurd@debian.org>
* URL             : https://sourceforge.net/projects/ui-auto/
* License         : GPL
  Programming Lang: Shell
  Description     : A set of shell tools to manage software project development

1. Release automation

First of all, there is support for automation of software
release around the 'ui-auto-release' tool; it currently (Oct
2009) supports the build systems autotools and cmake and the
version control systems cvs, svn and git. Its basic goal is to
automate the reoccurring administrative duties around software
releases (like NEWS/ChangeLog files, VC tagging, uploading,
...). It also has a non-interactive mode that makes it suitable
for automated snaphot builds from cron, and a special Debian
mode to automate Debian package builds.

Tools: ui-auto-release, ui-auto-ubs, ui-auto-uvc, ui-auto-release-multi

2. Development help

Secondly, there is also a set of tools to help develop from VC
checkouts (simply via environment variables). This is useful if
you develop on several projects at the same time having
inter-dependencies.

Tools: ui-auto-env, ui-auto-shell, ui-auto-update

3. cmake and autotools library

There is small library for autotools (m4 macros) and cmake
(tests) to avoid redundancies per project for ui-auto
project. Using any of these is totally optional, though.

-- System Information:
Debian Release: 5.0.3
  APT prefers stable
  APT policy: (500, 'stable')
Architecture: amd64 (x86_64)




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, "Stephan Sürken" <absurd@debian.org>:
Bug#551629; Package wnpp. (Sat, 19 Feb 2011 18:15:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, "Stephan Sürken" <absurd@debian.org>. (Sat, 19 Feb 2011 18:15:02 GMT) Full text and rfc822 format available.

Message #10 received at 551629@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@debian.org>
To: 551629@bugs.debian.org
Cc: control@bugs.debian.org
Subject: ui-auto: changing back from ITP to RFP
Date: Sat, 19 Feb 2011 17:06:24 +0000
retitle 551629 RFP: ui-auto -- A set of shell tools to manage software project development
noowner 551629
thanks

Hi,

This is an automatic email to change the status of ui-auto back from ITP
(Intent to Package) to RFP (Request for Package), because this bug hasn't seen
any activity during the last 6 months.

If you are still interested in adopting ui-auto, please send a mail to
<control@bugs.debian.org> with:

 retitle 551629 ITP: ui-auto -- A set of shell tools to manage software project development
 owner 551629 !
 thanks

However, it is not recommended to keep ITP for a long time without acting on
the package, as it might cause other prospective maintainers to refrain from
packaging that software. It is also a good idea to document your progress on
this ITP from time to time, by mailing <551629@bugs.debian.org>.

Thank you for your interest in Debian,
-- 
Lucas, for the QA team <debian-qa@lists.debian.org>




Changed Bug title to 'RFP: ui-auto -- A set of shell tools to manage software project development' from 'ITP: ui-auto -- A set of shell tools to manage software project development' Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Sat, 19 Feb 2011 18:24:05 GMT) Full text and rfc822 format available.

Removed annotation that Bug was owned by "Stephan Sürken" <absurd@debian.org>. Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Sat, 19 Feb 2011 18:24:05 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Thu, 28 Nov 2013 07:09:11 GMT) Full text and rfc822 format available.

Reply sent to Stephan Sürken <absurd@debian.org>:
You have taken responsibility. (Fri, 20 Dec 2013 12:03:10 GMT) Full text and rfc822 format available.

Notification sent to Stephan Sürken <absurd@debian.org>:
Bug acknowledged by developer. (Fri, 20 Dec 2013 12:03:10 GMT) Full text and rfc822 format available.

Message #21 received at 551629-close@bugs.debian.org (full text, mbox):

From: Stephan Sürken <absurd@debian.org>
To: 551629-close@bugs.debian.org
Subject: Bug#551629: fixed in ui-auto 1.1.17-1
Date: Fri, 20 Dec 2013 12:00:19 +0000
Source: ui-auto
Source-Version: 1.1.17-1

We believe that the bug you reported is fixed in the latest version of
ui-auto, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 551629@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Stephan Sürken <absurd@debian.org> (supplier of updated ui-auto package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 27 Nov 2013 20:41:16 +0100
Source: ui-auto
Binary: ui-auto
Architecture: source all
Version: 1.1.17-1
Distribution: unstable
Urgency: low
Maintainer: Stephan Sürken <absurd@debian.org>
Changed-By: Stephan Sürken <absurd@debian.org>
Description: 
 ui-auto    - Autotools library and development tools
Closes: 551629
Changes: 
 ui-auto (1.1.17-1) unstable; urgency=low
 .
   * [661835a] control: Update Stds-Ver to 3.9.5 (no changes needed).
   * [07adbfe] Update debhelper level to 9.
   * [3e9da84] control: Fix 'virtual-package-depends-without-real-package-
     depends' (mailx) warning.
   * [0e3a524] control: Fix maintainer email address.
   * [d7f7868] copyright: Update, and convert to machine-readable format.
   * [c39a11b] source/format: Use 3.0 (quilt).
   * [fa305eb] control: Add verbose package description, Vcs, Homepage.
   * [ad6131e] Imported Upstream version 1.1.17
   * Initial upload to Debian unstable (Closes: 551629).
Checksums-Sha1: 
 c0bdf1fb32e1a05242f2063217567fb2ab7b25dc 1212 ui-auto_1.1.17-1.dsc
 83c3ae69d20bce0f7faf04405230ac5020fccf39 205909 ui-auto_1.1.17.orig.tar.gz
 8d298c753149a607e6aeae3cf71b9fc239d75da3 7790 ui-auto_1.1.17-1.debian.tar.gz
 0f69371789e8eef94695f780fb0d93f6489d9651 124366 ui-auto_1.1.17-1_all.deb
Checksums-Sha256: 
 3c30ac8b51c8a2fd55728899b497fd3c970191f0dc631653090b0aca00e49c1b 1212 ui-auto_1.1.17-1.dsc
 6d52a85983e9fabcbf4b90230f3a2319e4fff365aaa085631cfc27eabf302be1 205909 ui-auto_1.1.17.orig.tar.gz
 00d1eb62882c992a579ae588ca1dd6530e149eb374b994e92ab29dfe70e5c3ff 7790 ui-auto_1.1.17-1.debian.tar.gz
 f18673a5c808e6067a12d47b667b97c5cf9ce014b086b684932bebe3214abf56 124366 ui-auto_1.1.17-1_all.deb
Files: 
 242eb66e791558d9ee8dd43e64f947d5 1212 devel extra ui-auto_1.1.17-1.dsc
 7f1fda8b742802f92e0d6e615d16ff9a 205909 devel extra ui-auto_1.1.17.orig.tar.gz
 b53a8205612d01bf0cd97caa7b1cb87a 7790 devel extra ui-auto_1.1.17-1.debian.tar.gz
 b4333aa2e2e68ffe5e0f7b3d68116814 124366 devel extra ui-auto_1.1.17-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.15 (GNU/Linux)

iD8DBQFSlktyzCVHePKM0QIRArWpAJ4q68UzA1TgeDqM11kV/sEauesWHQCePRBM
vRu/bXcZf62i8xQ1+5ObqFI=
=sDE3
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 18 Jan 2014 07:28:36 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 21:49:30 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.